Set fso = CreateObject("Scripting.FileSystemObject")
Set wiaimg = CreateObject("WIA.ImageFile")
Set shell = CreateObject("Shell.Application")
typliste = "jpg,jpeg"
pfad = "C:\Bilder\Suche"

Set auswahl = shell.BrowseForFolder(0,"Ordner auswhlen",0)
If auswahl Is Nothing Then WScript.Quit
Set ordner = fso.GetFolder(auswahl.Items().Item.Path)

antwort = InputBox("Suchparameter eingeben, z.B." & vbCR &_
 "Titel=<Titel>" & vbCR & "Keyword=<Schlsselwort>" & vbCR &_
 "Kamera=<Kamera>" & vbCR & "Kommentar=<Kommentar>" & vbCR &_
 "ISO=<ISO-Wert>", "EXIF-Suche","Titel=Brockhausen")

If antwort ="" Then WScript.Quit
antwort = Split(antwort,"=",-1,1)
prop = antwort(0)
suche = antwort(1)

Select Case prop
  Case "Titel"
    prop = "40091"
  Case "Kommentar"
    prop = "40092"
  Case "Keywords"
    prop = "40094"
  Case "Kamera"
    prop = "272"
  Case "ISO"
    prop = "34855"
End Select

leereordner(pfad)

For Each datei in ordner.Files
  findexif(datei.Path)
Next

Sub findexif(strbild)
  endung = Right(strbild,Len(strbild)-InStrRev(strbild,"."))
  If InStr(1,typliste,endung,1) = 0 Then Exit Sub
  wiaimg.LoadFile strbild
  If wiaimg.Properties.Exists(prop) Then
    Set eig = wiaimg.Properties(prop)
    If eig.isVector Then
      data = eig.Value.String
    Else
      data = eig.Value
    End If

    If Instr(1,data,suche,1) Then
      fso.CopyFile strbild,pfad & "\" & Right(strbild,Len(strbild)-InStrRev(strbild,"\"))
    End If
  End If
End Sub

Sub leereordner(strpfad)
  If fso.FolderExists(strpfad) Then fso.DeleteFolder strpfad,True
  fso.CreateFolder strpfad
End Sub
